edu.sc.seis.sod.status.eventArm

## Class EventGroupTemplate

- java.lang.Object
- - edu.sc.seis.sod.status.Template
  - - edu.sc.seis.sod.status.eventArm.EventGroupTemplate

- All Implemented Interfaces:
    GenericTemplate
  Direct Known Subclasses:
    WaveformEventGroup

      public class EventGroupTemplate
      extends Template
      implements GenericTemplate

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EventSorter` | `sorter`

    - ### Fields inherited from class edu.sc.seis.sod.status.Template

      `templates`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EventGroupTemplate()`
    `` | `EventGroupTemplate(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventGroupTemplate` | `createDefaultTemplate()`
    `java.lang.String` | `getResult()`
    `protected java.lang.Object` | `getTemplate(java.lang.String tag, org.w3c.dom.Element el)` if this class has an template for this tag, it creates it using the passed in element and returns it.
    `void` | `parse(org.w3c.dom.Element el)`
    `void` | `setArmStatus(java.lang.String status)`
    `java.lang.Object` | `textTemplate(java.lang.String text)` returns an object of the template type that this class uses, and returns the passed in text when the getResult method of that template type is called
    `protected void` | `useDefaultConfig()`

    - ### Methods inherited from class edu.sc.seis.sod.status.Template

      `getCommonTemplate, parse, setUp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sorter

          protected EventSorter sorter

  - ### Constructor Detail

    - #### EventGroupTemplate

          protected EventGroupTemplate()

    - #### EventGroupTemplate

          public EventGroupTemplate(org.w3c.dom.Element config)
                             throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### createDefaultTemplate

          public static EventGroupTemplate createDefaultTemplate()

    - #### parse

          public void parse(org.w3c.dom.Element el)
                     throws ConfigurationException

      Overrides:
        `parse` in class `Template`
      Throws:
        `ConfigurationException`

    - #### useDefaultConfig

          protected void useDefaultConfig()

    - #### getTemplate

          protected java.lang.Object getTemplate(java.lang.String tag,
                                                 org.w3c.dom.Element el)
                                          throws ConfigurationException

      Description copied from class: `Template`
      if this class has an template for this tag, it creates it using the passed in element and returns it. Otherwise it should return the superclass implementation of the getCommonTemplate method. Though no harm will come from merely returning null, they won't benefit from the wisdom and extra tags provided by their elder classes.
      Overrides:
        `getTemplate` in class `Template`
      Throws:
        `ConfigurationException`

    - #### textTemplate

          public java.lang.Object textTemplate(java.lang.String text)

      Description copied from class: `Template`
      returns an object of the template type that this class uses, and returns the passed in text when the getResult method of that template type is called
      Specified by:
        `textTemplate` in class `Template`

    - #### getResult

          public java.lang.String getResult()

      Specified by:
        `getResult` in interface `GenericTemplate`

    - #### setArmStatus

          public void setArmStatus(java.lang.String status)